### Method

# GIRepository ObjectInfo get_property

since: 2.80

#### Declaration

    GIPropertyInfo*
    gi_object_info_get_property (
      GIObjectInfo* info,
      unsigned int n
    )

#### Description

Obtain an object type property at index `n`.

Available since: 2.80

#### Parameters

`n`

  Type: `unsigned int`

  Index of property to get.

#### Return value

Type: `GIPropertyInfo`

The `GIPropertyInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the data, and is responsible for freeing it.